## libjboss-marshalling-java 1.1.3.GA

=== debian/changelog ===
libjboss-marshalling-java (1.1.3.GA-3) unstable; urgency=low

  * Switch to source format 3.0.
  * Remove Java runtime from Depends.
  * Update Standards-Version: 3.9.1.

 -- Torsten Werner <twerner@debian.org>  Tue, 09 Aug 2011 21:26:25 +0200

libjboss-marshalling-java (1.1.3.GA-2) unstable; urgency=low

  * Improve copyright information.

 -- Torsten Werner <twerner@debian.org>  Tue, 15 Sep 2009 22:13:07 +0200

libjboss-marshalling-java (1.1.3.GA-1) unstable; urgency=low

  * Initial release. (Closes: #546768)

 -- Torsten Werner <twerner@debian.org>  Tue, 15 Sep 2009 20:36:18 +0200
