=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

PACKAGE              := jboss-marshalling
VERSION              := $(DEB_UPSTREAM_VERSION)
JAVA_HOME            := /usr/lib/jvm/default-java
DEB_JARS             := ant-nodeps
DEB_ANT_BUILD_TARGET := package javadoc
DEB_ANT_BUILDFILE    := debian/build.xml
DEB_ANT_ARGS         := -Dpackage=$(PACKAGE) -Dversion=$(VERSION)

get-orig-source:
	uscan --download-version $(VERSION) --force-download --rename

binary-post-install/lib$(PACKAGE)-java::
	mh_installpoms -plib$(PACKAGE)-java
	mh_installjar -plib$(PACKAGE)-java -l api/pom.xml api/build/marshalling-api-$(VERSION).jar
	mh_installjar -plib$(PACKAGE)-java -l river/pom.xml river/build/river-$(VERSION).jar
	mh_installjar -plib$(PACKAGE)-java -l serial/pom.xml serial/build/serial-$(VERSION).jar
	mh_installjar -plib$(PACKAGE)-java -l serialization-java/pom.xml serialization-java/build/serialization-java-$(VERSION).jar
