=== debian/watch ===
version=3
http://anonsvn.jboss.org/repos/jbossmarshalling/core/tags/ (\d.*)/ \
  debian debian/orig-tar.sh
